OSDir


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: maven-release-plugin 2.2 dead?


Akh... it's just spifly that is using an old parent.

Sincerely,
- Ray

On Mon, Aug 20, 2018 at 2:21 PM, Raymond Auge <raymond.auge@xxxxxxxxxxx>
wrote:

> Anyone ever see:
>
> [ERROR] Failed to execute goal org.apache.maven.plugins:
> maven-release-plugin:2.2:prepare (default-cli) on project
> org.apache.aries.spifly.core-internal: Execution default-cli of goal
> org.apache.maven.plugins:maven-release-plugin:2.2:prepare failed: An API
> incompatibility was encountered while executing org.apache.maven.plugins:
> maven-release-plugin:2.2:prepare: java.lang.NoSuchMethodError:
> org.apache.maven.settings.Settings.getRuntimeInfo()Lorg/
> apache/maven/settings/RuntimeInfo;
>
> The internets tell me that the maven-release-plugin:2.2 is wretchedly old
> (June 2011).
>
> Can we update to a recent version?
>
> --
> *Raymond Augé* <http://www.liferay.com/web/raymond.auge/profile>
>  (@rotty3000)
> Senior Software Architect *Liferay, Inc.* <http://www.liferay.com>
>  (@Liferay)
> Board Member & EEG Co-Chair, OSGi Alliance <http://osgi.org>
> (@OSGiAlliance)
>



-- 
*Raymond Augé* <http://www.liferay.com/web/raymond.auge/profile>
 (@rotty3000)
Senior Software Architect *Liferay, Inc.* <http://www.liferay.com>
 (@Liferay)
Board Member & EEG Co-Chair, OSGi Alliance <http://osgi.org> (@OSGiAlliance)